using System;
using System.ComponentModel.DataAnnotations;

namespace MTWorkHR.Core.Entities
{
    public class SmsLog : Log
    {
        [Key]
        public int Id { get; set; }
        public DateTime? CreatedDate { get; set; } = DateTime.UtcNow;
        [MaxLength(450)]
        public string UserId { get; set; }

        [MaxLength(250)]
        public string UserAgent { get; set; }
        [StringLength(255)]
        public string MobileNumber { get; set; }

        [StringLength(500)]
        public string SMSMessage { get; set; }

        [StringLength(50)]
        public string SMSProvider { get; set; }

        [StringLength(250)]
        public string ServiceURL { get; set; }

        public string ServiceRequest { get; set; }

        public string ServiceResponse { get; set; }
        [StringLength(50)]

        public string ReferenceId { get; set; }
        [StringLength(50)]
        public string Module { get; set; }

    }
}
